Skip to content
Start here

Create Pipeline

POST/accounts/{account_id}/pipelines/v1/pipelines

Create a new Pipeline.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines Write
Path ParametersExpand Collapse
account_id: string

Specifies the public ID of the account.

Body ParametersJSONExpand Collapse
name: string

Specifies the name of the Pipeline.

maxLength128
minLength1
sql: string

Specifies SQL for the Pipeline processing flow.

ReturnsExpand Collapse
result: object { id, created_at, modified_at, 3 more }
id: string

Indicates a unique identifier for this pipeline.

created_at: string
modified_at: string
name: string

Indicates the name of the Pipeline.

maxLength128
minLength1
sql: string

Specifies SQL for the Pipeline processing flow.

status: string

Indicates the current status of the Pipeline.

success: boolean

Indicates whether the API call was successful.

Create Pipeline

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/pipelines/v1/pipelines \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "name": "my_pipeline",
          "sql": "insert into sink select * from source;"
        }'
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status"
  },
  "success": true
}